Name:          meld
Version:       3.22.3
Release:       1mamba
Summary:       A visual diff and merge tool
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://meldmerge.org/
Source:        http://ftp.gnome.org/pub/gnome/sources/meld/%{majorminor}/meld-%{version}.tar.xz
License:       GPL
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: libscrollkeeper-devel
BuildRequires: intltool
Requires:      patch
Requires:      libgtksourceview

%description
Meld is a visual diff and merge tool.
You can compare two or three files and edit them in place (diffs update dynamically).
You can compare two or three folders and launch file comparisons.
You can browse and view a working copy from popular version control systems such such as CVS, Subversion, Bazaar-ng and Mercurial.

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py \
   --no-update-icon-cache \
   --no-compile-schemas \
   install \
   --prefix=%{_prefix} \
   --root="%{buildroot}" \
   --optimize=1 \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch} \
   --record=%{name}.filelist

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/meld
%{_datadir}/icons/hicolor/*
%dir %{_datadir}/meld
%{_datadir}/meld/*
%{_datadir}/glib-2.0/schemas/org.gnome.meld.gschema.xml
%{_datadir}/applications/org.gnome.meld.desktop
%{_datadir}/metainfo/org.gnome.meld.appdata.xml
%{_datadir}/mime/packages/org.gnome.meld.xml
%{python3_sitearch}/meld-%{version}-py*.egg-info
%dir %{python3_sitearch}/meld
%{python3_sitearch}/meld/*
%{_mandir}/man1/*
%dir %{_datadir}/help/C/meld/
%{_datadir}/help/C/meld/*
%{_docdir}/meld-%{version}/NEWS
%doc COPYING

%changelog
* Fri Jan 10 2025 Automatic Build System <autodist@openmamba.org> 3.22.3-1mamba
- automatic version update by autodist

* Sun Mar 24 2024 Automatic Build System <autodist@openmamba.org> 3.22.2-1mamba
- automatic version update by autodist

* Thu Feb 22 2024 Automatic Build System <autodist@openmamba.org> 3.22.1-1mamba
- automatic version update by autodist

* Sat Aug 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.20.4-1mamba
- update to 3.20.4

* Sat May 08 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.20.3-3mamba
- removed requirements for python 2 packages

* Wed Apr 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.20.3-2mamba
- rebuilt with python3

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 3.20.3-1mamba
- automatic version update by autodist

* Mon Feb 17 2020 Automatic Build System <autodist@mambasoft.it> 3.20.2-1mamba
- automatic version update by autodist

* Sun Mar 31 2019 Automatic Build System <autodist@mambasoft.it> 3.20.1-1mamba
- automatic version update by autodist

* Sun Mar 24 2019 Automatic Build System <autodist@mambasoft.it> 3.20.0-1mamba
- automatic version update by autodist

* Mon Dec 19 2016 Automatic Build System <autodist@mambasoft.it> 3.16.4-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 3.16.3-1mamba
- automatic version update by autodist

* Sat Jul 30 2016 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Sun Jun 19 2016 Automatic Build System <autodist@mambasoft.it> 3.16.1-1mamba
- automatic version update by autodist

* Sun May 01 2016 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Sat Apr 30 2016 Automatic Build System <autodist@mambasoft.it> 3.15.3-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 3.15.2-1mamba
- automatic version update by autodist

* Fri Dec 18 2015 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic version update by autodist

* Sun Aug 02 2015 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Thu Jan 01 2015 Automatic Build System <autodist@mambasoft.it> 3.12.3-1mamba
- automatic version update by autodist

* Mon Dec 01 2014 Automatic Build System <autodist@mambasoft.it> 3.12.2-1mamba
- automatic version update by autodist

* Thu Nov 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.1-2mamba
- require libgtksourceview instead of pygtksourceview
- rebuilt adding install_data

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.1-1mamba
- update to 3.12.1

* Sat Mar 08 2014 Automatic Build System <autodist@mambasoft.it> 3.11.0-1mamba
- automatic version update by autodist

* Wed Jan 22 2014 Automatic Build System <autodist@mambasoft.it> 1.8.4-1mamba
- automatic version update by autodist

* Sun Dec 15 2013 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic version update by autodist

* Fri Oct 18 2013 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Mon Sep 23 2013 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 1.7.5-1mamba
- automatic version update by autodist

* Sun Jul 28 2013 Automatic Build System <autodist@mambasoft.it> 1.7.4-1mamba
- automatic version update by autodist

* Tue Jun 04 2013 Automatic Build System <autodist@mambasoft.it> 1.7.3-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 1.7.2-1mamba
- automatic version update by autodist

* Sun Mar 03 2013 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Tue Nov 06 2012 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Tue Oct 23 2012 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Tue Jul 03 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.6.0-1mamba
- update to 1.6.0

* Tue Jul 26 2011 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- update to 1.5.2

* Fri May 20 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.5.1-1mamba
- package created by autospec
